## golang-github-invopop-jsonschema 0.13.0

=== debian/changelog ===
golang-github-invopop-jsonschema (0.13.0-2) unstable; urgency=medium

  * Standards-Version: 4.7.1.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 23 Feb 2025 08:10:53 +0100

golang-github-invopop-jsonschema (0.13.0-1) unstable; urgency=medium

  * Initial release (Closes: #1093250)

 -- Simon Josefsson <simon@josefsson.org>  Thu, 16 Jan 2025 22:51:20 +0100
