=== debian/control ===
Source: golang-github-invopop-jsonschema
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-stretchr-testify-dev,
 golang-github-wk8-go-ordered-map-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-invopop-jsonschema
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-invopop-jsonschema.git
Homepage: https://github.com/invopop/jsonschema
XS-Go-Import-Path: github.com/invopop/jsonschema

Package: golang-github-invopop-jsonschema-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-stretchr-testify-dev,
 golang-github-wk8-go-ordered-map-dev,
 ${misc:Depends},
Description: Generate JSON Schemas from Go types (library)
 This package can be used to generate JSON Schemas () from Go types through
 reflection: http://json-schema.org/latest/json-schema-validation.html
 .
  * Supports arbitrarily complex types, including interface{}, maps,
    slices, etc.
  * Supports json-schema features such as minLength, maxLength, pattern,
    format, etc.
  * Supports simple string and numeric enums.
  * Supports custom property fields via the jsonschema_extras struct tag.
 .
 This repository is a fork of the original jsonschema
 (https://github.com/alecthomas/jsonschema) by @alecthomas
 (https://github.com/alecthomas).  There have
 been a few significant changes that probably mean this version is a not
 compatible with Alec's:
 .
  * The original was stuck on the draft-04 version of JSON Schema, we've
    now moved to the latest JSON Schema Draft 2020-12.
  * Schema IDs are added automatically from the current Go package's URL
    in order to be unique, and can be disabled with the Anonymous option.
  * Support for the FullyQualifyTypeName option has been removed. If you
    have conflicts, you should use multiple schema files with different
    IDs, set the DoNotReference option to true to hide definitions
    completely, or add your own naming strategy using the Namer property.
  * Support for yaml tags and related options has been dropped for the
    sake of simplification. There were a few inconsistencies
    (https://github.com/invopop/jsonschema/pull/21) around this that have
    now been fixed.
 .
 This package contains the Go development library.
