=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := fixtures

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_install:
	rm -v $(CURDIR)/_build/src/github.com/invopop/jsonschema/fixtures/.gitignore
